# Function RxapRemoteMethod

- RxapRemoteMethod<MetaData>(metadataOrId, className?, packageName?): ((target) => void)

- #### Type Parameters

  - MetaData extends BaseDefinitionMetadata = BaseDefinitionMetadata

  #### Parameters

  - metadataOrId: string | MetaData
  - className: string = 'BaseRemoteMethod'
  - packageName: string = '@rxap/remote-method'

  #### Returns ((target) => void)

  - - (target): void

    - #### Parameters

      - target: any

      #### Returns void

  - Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:27